Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.discovery
Class XMLFactory

    java.lang.Object
      org.deegree.ogcbase.XMLFactory
          org.deegree.ogcwebservices.csw.discovery.XMLFactory

    public class XMLFactory

extends XMLFactory

Version:
  $Revision: 25619 $, $Date: 2010-08-02 08:17:24 +0200 (Mo, 02. Aug 2010) $
Author:
  Andreas Poth , Markus Schneider , last edited by: $Author: apoth $

Field Summary

Fields inherited from class org.deegree.ogcbase.XMLFactory
`GMLNS, OGCNS, XLNNS`

Constructor Summary
`XMLFactory()`

Method Summary
`protected static void` | `appendTypeNamesAttribute(Element rootElement, Element toBeInserted, List<QualifiedName> typeNames, Map<String,QualifiedName> aliases)`
`static DescribeRecordResultDocument` | `export(DescribeRecordResult response)` Exports a `DescribeRecordResponse` instance to a `DescribeRecordResponseDocument`.
`static GetRecordByIdDocument` | `export(GetRecordById request)` Exports a `GetRecordById` instance to a `GetRecordByIdDocument`.
`static GetRecordByIdResultDocument` | `export(GetRecordByIdResult response)` Exports a instance of `GetRecordByIdResult` to a `GetRecordByIdResultDocument`.
`static GetRecordsDocument` | `export(GetRecords request)` Exports a `GetRecords` instance to a `GetRecordsDocument`.
`static GetRecordsResultDocument` | `export(GetRecordsResult response)` Exports a `GetRecordsResponse` instance to a `GetRecordsResponseDocument`.
`static GetRecordsDocument` | `exportWithVersion(GetRecords request)` Exports a `GetRecords` instance to a `GetRecordsDocument`.

Methods inherited from class org.deegree.ogcbase.XMLFactory
`appendCodeList, appendEnvelope, appendFeatureId, appendGeometry, appendInterval, appendKeywords, appendKeywords, appendLonLatEnvelope, appendOnlineResource, appendPropertyPath, appendSimpleLinkAttributes, appendTemporalDomain, appendTimePeriod, appendTimePosition, appendTimeResolution, appendTypedLiteral, appendValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLFactory

    public XMLFactory()

Method Detail

### export

    public static GetRecordsResultDocument export(GetRecordsResult response)
                                           throws XMLException

  Exports a `GetRecordsResponse` instance to a `GetRecordsResponseDocument`.

  Parameters:
    `response` -
  Returns:
    DOM representation of the `GetRecordsResponse`
  Throws:
    `XMLException` - if XML template could not be loaded

### export

    public static GetRecordByIdResultDocument export(GetRecordByIdResult response)
                                              throws XMLException

  Exports a instance of `GetRecordByIdResult` to a `GetRecordByIdResultDocument`.

  Parameters:
    `response` -
  Returns:
    a new document
  Throws:
    `XMLException`

### export

    public static DescribeRecordResultDocument export(DescribeRecordResult response)
                                               throws XMLException

  Exports a `DescribeRecordResponse` instance to a `DescribeRecordResponseDocument`.

  Parameters:
    `response` -
  Returns:
    DOM representation of the `DescribeRecordResponse`
  Throws:
    `XMLException` - if XML template could not be loaded

### exportWithVersion

    public static GetRecordsDocument exportWithVersion(GetRecords request)
                                                throws XMLException,
                                                       OGCWebServiceException

  Exports a `GetRecords` instance to a `GetRecordsDocument`.

  Parameters:
    `request` -
  Returns:
    DOM representation of the `GetRecords`
  Throws:
    `XMLException` - if some elements could not be appended
    `OGCWebServiceException` - if an error occurred while creating the xml-representation of the GetRecords bean.

### export

    public static GetRecordsDocument export(GetRecords request)
                                     throws XMLException,
                                            OGCWebServiceException

  Exports a `GetRecords` instance to a `GetRecordsDocument`.

  Parameters:
    `request` -
  Returns:
    DOM representation of the `GetRecords`
  Throws:
    `XMLException` - if some elements could not be appended
    `OGCWebServiceException` - if an error occurred while creating the xml-representation of the GetRecords bean.

### appendTypeNamesAttribute

    protected static void appendTypeNamesAttribute(Element rootElement,
                                                   Element toBeInserted,
                                                   List<QualifiedName> typeNames,
                                                   Map<String,QualifiedName> aliases)

  Parameters:
    `rootElement` - the first node of the Docuement
    `toBeInserted` - to which the typeNames attribute will be appended
    `typeNames` - to be inserted into the toBeInserted element
    `aliases` - may be `null`, if not each typeName must have exactly one alias defined, which will be inserted after the typename (e.g. typename=$o). If map must contain a mapping from variable to qualifiedName (e.g. [o, typeName]);

### export

    public static GetRecordByIdDocument export(GetRecordById request)
                                        throws XMLException

  Exports a `GetRecordById` instance to a `GetRecordByIdDocument`.

  Parameters:
    `request` -
  Returns:
    DOM representation of the `GetRecordById`
  Throws:
    `XMLException` - if XML template could not be loaded

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org